/*
 * WScout - Lightweight PCAP visualizer.
 * Copyright (C) 2008  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */

#ifndef WSCOUT_GUI_LLC_HEADER_HXX_
# define WSCOUT_GUI_LLC_HEADER_HXX_

# include "wscout_gui_llc_header.hh"

namespace wscout
{

  namespace gui
  {

    inline
    LLCHeader::LLCHeader(QWidget* parent):
      HeaderBase<LLCHeader, protocol::LLC> (parent)
    {
      setForegroundRole(QPalette::WindowText);
      setBackgroundRole(QPalette::Window);
      setAutoFillBackground(true);
      {
	QPalette	p;

	p.setColor(QPalette::WindowText, Qt::black);
	p.setColor(QPalette::Window, QColor ("palegreen"));
	setPalette(p);
      }

      {
	QFont	bold;
	bold.setBold(true);

	summary_.setFont(bold);
      }

      QBoxLayout* const l = layout();

      l->addWidget(&summary_);
      l->addWidget(&dsapSsap_);
      l->addWidget(&control_);
    }

  } // End of namespace gui.

} // End of namespace wscout.

#endif // ! WSCOUT_GUI_LLC_HEADER_HXX_
